## leaflet-markercluster 0.2~dfsg

=== debian/changelog ===
leaflet-markercluster (0.2~dfsg-1) unstable; urgency=low

  * Initial release.
  * Closes: bug#694119.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 04 Nov 2013 18:47:05 +0100
