=== debian/control ===
Source: leaflet-markercluster
Section: web
Priority: extra
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Andrew Harvey <andrew.harvey4@gmail.com>,
 Jonas Smedegaard <dr@jones.dk>
Build-Depends: cdbs,
 devscripts,
 debhelper,
 dh-buildinfo,
 node-uglify,
 node-jake
Standards-Version: 3.9.5
Homepage: https://github.com/Leaflet/Leaflet.markercluster
Vcs-Git: git://git.debian.org/collab-maint/leaflet-markercluster
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/leaflet-markercluster.git

Package: libjs-leaflet-markercluster
Architecture: all
Depends: ${misc:Depends}
Recommends: ${cdbs:Recommends}
Description: Provides Marker Clustering functionality for Leaflet
 Leaflet.markercluster is a plugin for the Leaflet JavaScript library.
 .
 It provides beautiful animated marker clustering functionality for Leaflet.
