=== debian/watch ===
version=3
opts=dversionmangle=s/~dfsg\d*$// \
https://github.com/Leaflet/Leaflet.markercluster/releases .*/archive/(\d[\d\.]+).tar.gz
