## leaflet-markercluster 0.4~dfsg

=== debian/changelog ===
leaflet-markercluster (0.4~dfsg-2) unstable; urgency=medium

  * Fix use common install path for example files.
    Also fixes applying path adjustments to those example files.
  * Install together with Leaflet (not in separate dir).
  * Fix cleanup uglified code in clean target.
  * Fix invoke jake only once.
  * Drop examples needing DFSG-nonfree or raw source files.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 01 Feb 2014 15:47:43 +0100

leaflet-markercluster (0.4~dfsg-1) unstable; urgency=medium

  [ upstream ]
  * new release.
    + Works with leaflet 0.7.1+.
      Closes: bug#733116. Thanks to Martín Ferrari.

  [ Jonas Smedegaard ]
  * Move packaging to pkg-javascript team.
  * Depend on (not recommend) leaflet, and tighten to recent versions.
  * Improve example files path fixing (i.e. Debian relative paths
    instead of CDN) to be version-agnostic.
  * Update copyright file: Cover newly included convenience code copies.
  * Unfuzz and update patch 2001.
  * Add patch 2002 to adapt build script to support Uglifyjs 1.x.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 28 Jan 2014 18:41:34 +0100
