=== debian/control ===
--- 
+++ 
@@ -12,12 +12,13 @@
  node-jake
 Standards-Version: 3.9.5
 Homepage: https://github.com/Leaflet/Leaflet.markercluster
-Vcs-Git: git://git.debian.org/collab-maint/leaflet-markercluster
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/leaflet-markercluster.git
+Vcs-Git: git://git.debian.org/pkg-javascript/leaflet-markercluster
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-javascript/leaflet-markercluster.git
 
 Package: libjs-leaflet-markercluster
 Architecture: all
-Depends: ${misc:Depends}
+Depends: ${cdbs:Depends},
+ ${misc:Depends}
 Recommends: ${cdbs:Recommends}
 Description: Provides Marker Clustering functionality for Leaflet
  Leaflet.markercluster is a plugin for the Leaflet JavaScript library.
