=== debian/rules ===
--- 
+++ 
@@ -22,11 +22,12 @@
 include /usr/share/cdbs/1/rules/debhelper.mk
 
 # package variables
-libname = leaflet-markercluster
 pkg = libjs-leaflet-markercluster
+install-stem = leaflet
 
 CDBS_BUILD_DEPENDS += , node-uglify , node-jake
-CDBS_RECOMMENDS_$(pkg) = javascript-common, libjs-leaflet
+CDBS_DEPENDS_$(pkg) = libjs-leaflet (>= 0.7.1)
+CDBS_RECOMMENDS_$(pkg) = javascript-common
 
 #
 # Upstream tarball settings
@@ -48,16 +49,20 @@
 # Installation
 #
 
-js-destdir = /usr/share/javascript/$(libname)
+js-destwebdir = /javascript/$(install-stem)
+js-destdir = /usr/share$(js-destwebdir)
+exampledir = $(cdbs_curdestdir)usr/share/doc/$(cdbs_curpkg)/examples
 
 # install files to the js-dest-dir as defined by javascript-common
 DEB_DH_INSTALL_ARGS_$(pkg) = dist/* $(js-destdir)
 
 # install documentation
-DEB_INSTALL_DOCS_$(pkg) = README.md example/
+DEB_INSTALL_DOCS_$(pkg) = README.md
 
 # install upstream changelog
 DEB_INSTALL_CHANGELOGS_$(pkg) = CHANGELOG.md
+
+DEB_INSTALL_EXAMPLES_$(pkg) = example/*
 
 
 #
@@ -65,11 +70,23 @@
 #
 
 # rule for building project from source
-build/$(pkg)::
+build/$(pkg):: debian/stamp-jake
+debian/stamp-jake:
 	jake
+	touch $@
+clean::
+	rm -f debian/stamp-jake
+	rm -f dist/*.js
 
-# Fix paths in example files
-html-examples = $(cdbs_curdestdir)usr/share/doc/$(cdbs_curpkg)/examples/*.html
+# drop examples needing DFSG-nonfree or raw source files
+binary-post-install/$(pkg)::
+	rm -rf $(exampledir)/old-bugs
+	rm -rf $(exampledir)/*-realworld-*
+
+# use common Debian relative paths (not CDN or source-relative)
 binary-fixup/$(pkg)::
-	perl -i -pe 's,(href|src)="\Khttp://cdn.leafletjs.com/leaflet-0.4.4,/javascript/leaflet,g' $(html-examples)
-	perl -i -pe 's,(href|src)="\K../dist,/javascript/leaflet-markercluster,g' $(html-examples)
+	perl -pi \
+		-e '$$cdn=qr!http://cdn.leafletjs.com/leaflet-[^/]*!;' \
+		-e '$$src=qr!\.\./dist!;' \
+		-e 's,(href|src)="\K($$cdn|$$src),$(js-destwebdir),g' \
+		$(exampledir)/*.html
