## leaflet-markercluster 0.4.0~dfsg

=== debian/changelog ===
leaflet-markercluster (0.4.0~dfsg-1) unstable; urgency=medium

  * Use recent Uglifyjs:
    + Drop patch 2002.
    + Tighten to build-depend versioned on node-uglify.
  * Update Vcs-Browser URL to use cgit web frontend.
  * Declare compliance with Debian Policy 3.9.6.
  * Add alternate git source URL.
  * Update upstream version numbering scheme in watch file and
    upstream-tarball hints in rules file.
  * Stop tracking md5sum of upstream tarball.
  * Update copyright info:
    + Extend coverage for myself to include current year.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 16 Oct 2014 17:54:43 +0200
