=== debian/control ===
--- 
+++ 
@@ -8,12 +8,12 @@
  devscripts,
  debhelper,
  dh-buildinfo,
- node-uglify,
+ node-uglify (>= 2),
  node-jake
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: https://github.com/Leaflet/Leaflet.markercluster
 Vcs-Git: git://git.debian.org/pkg-javascript/leaflet-markercluster
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-javascript/leaflet-markercluster.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-javascript/leaflet-markercluster.git
 
 Package: libjs-leaflet-markercluster
 Architecture: all
