=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 # -*- mode: makefile; coding: utf-8 -*-
-# Copyright 2010, 2011, 2013 Jonas Smedegaard <dr@jones.dk>
+# Copyright 2010-2011, 2013-2014 Jonas Smedegaard <dr@jones.dk>
 # Copyright 2012 Andrew Harvey <andrew.harvey4@gmail.com>
 # Description: Main Debian packaging script for Leaflet.markercluster
 #
@@ -25,7 +25,7 @@
 pkg = libjs-leaflet-markercluster
 install-stem = leaflet
 
-CDBS_BUILD_DEPENDS += , node-uglify , node-jake
+CDBS_BUILD_DEPENDS +=, node-uglify (>= 2), node-jake
 CDBS_DEPENDS_$(pkg) = libjs-leaflet (>= 0.7.1)
 CDBS_RECOMMENDS_$(pkg) = javascript-common
 
@@ -34,9 +34,8 @@
 #
 
 DEB_UPSTREAM_URL = https://github.com/Leaflet/Leaflet.markercluster/archive
-DEB_UPSTREAM_TARBALL_BASENAME = $(DEB_UPSTREAM_TARBALL_VERSION)
+DEB_UPSTREAM_TARBALL_BASENAME = v$(DEB_UPSTREAM_TARBALL_VERSION)
 DEB_UPSTREAM_TARBALL_SRCDIR = Leaflet.markercluster-$(DEB_UPSTREAM_TARBALL_VERSION)
-DEB_UPSTREAM_TARBALL_MD5 = 1d6184f7757454d8c8bc4ef7d14df34d
 
 # Remove upstream shipped autogenerated files
 DEB_UPSTREAM_REPACKAGE_EXCLUDES = dist/*.js
