## leaflet-markercluster 0.5.0~dfsg

=== debian/changelog ===
leaflet-markercluster (0.5.0~dfsg-2) unstable; urgency=medium

  * Update Vcs-Git field: Fix path.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 15 Jun 2016 09:52:40 +0200

leaflet-markercluster (0.5.0~dfsg-1) unstable; urgency=medium

  [ upstream ]
  * New release.
    Bugfixes:
    + Fix getBounds when removeOutsideVisibleBounds: false is set.
    + Fix zoomToShowLayer fails after initial spiderfy.
    + Fix cluster not disappearing on Android.
    + Fix RemoveLayers() when spiderified.
    + Remove lines from map when removing cluster.
    + Fix getConvexHull when all markers are located at same latitude.
    + Fix removeLayers when cluster is not on the map.
    + Improved zoomToShowLayer with callback check.
    + Improved reliability of RefreshSpec test suite for PhantomJS.
    + Corrected effect of removeOutsideVisibleBounds option.
    + Fix getLayer when provided a string.
    + Documentation improvements.
    + Correct _getExpandedVisibleBounds for Max Latitude.
    + Correct unspiderfy vector.
    + Remove "leaflet-cluster-anim" class on map remove while spiderfied.
    + Fix disableClusteringAtZoom maxZoom troubles.
    Improvements:
    + chunkedLoading option to keep browser more responsive during
      larging a load data set.
    + maxClusterRadius can be a function.
    + Spiderfy without zooming when all markers at same location.
    + On becoming visible, markers retain their original opacity.
    + Spiderleg Polyline options.
    + Extra methods to allow refreshing cluster icons.
    + Ability to disable animations.
    + Optimized performance of bulk addLayers and removeLayers.
    + Replaced spiderfy legs animation from SMIL to CSS transition.
    + Provide more detailed context information on the spiderfied event.
    + Add unspiderfied event.
    + Readme updates.

  [ Jonas Smedegaard ]
  * Update watch file:
    + Bump file format to version 4.
    + Use github pattern from documentation.
    + Set repacksuffix.
    + Add usage comment.
  * Modernize git-buildpackage config:
    + Avoid git- prefix.
    + Filter any .gitignore file.
  * Use https protocol in Vcs-Git URL.
  * Declare compliance with Debian Policy 3.9.8.
  * Drop CDBS get-orig-source target: Use "gbp import-orig --uscan" instead.
  * Update copyright info:
    + Use License-Grant and License-Reference fields.
      Thanks to Ben Finney.
    + Extend copyright of packaging to cover current year.
  * Add lintian override regarding license in License-Reference field.
    See bug#786450.
  * Bump debhelper compatibility level to 9.
  * Add lintian override regarding debhelper 9.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 07 May 2016 11:37:06 +0200
