=== debian/control ===
--- 
+++ 
@@ -10,9 +10,9 @@
  dh-buildinfo,
  node-uglify (>= 2),
  node-jake
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: https://github.com/Leaflet/Leaflet.markercluster
-Vcs-Git: git://git.debian.org/pkg-javascript/leaflet-markercluster
+Vcs-Git: https://anonscm.debian.org/git/pkg-javascript/leaflet-markercluster
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-javascript/leaflet-markercluster.git
 
 Package: libjs-leaflet-markercluster
