=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 # -*- mode: makefile; coding: utf-8 -*-
-# Copyright 2010-2011, 2013-2014 Jonas Smedegaard <dr@jones.dk>
+# Copyright 2010-2011, 2013-2014, 2016 Jonas Smedegaard <dr@jones.dk>
 # Copyright 2012 Andrew Harvey <andrew.harvey4@gmail.com>
 # Description: Main Debian packaging script for Leaflet.markercluster
 #
@@ -17,7 +17,6 @@
 # You should have received a copy of the GNU General Public License
 # along with this program.  If not, see <http://www.gnu.org/licenses/>.
 
-include /usr/share/cdbs/1/rules/upstream-tarball.mk
 include /usr/share/cdbs/1/rules/utils.mk
 include /usr/share/cdbs/1/rules/debhelper.mk
 
@@ -25,23 +24,13 @@
 pkg = libjs-leaflet-markercluster
 install-stem = leaflet
 
+# Build-depend unversioned on debhelper
+#  TODO: Drop when adopted in cdbs
+CDBS_BUILD_DEPENDS_rules_debhelper_v9 = debhelper
+
 CDBS_BUILD_DEPENDS +=, node-uglify (>= 2), node-jake
 CDBS_DEPENDS_$(pkg) = libjs-leaflet (>= 0.7.1)
 CDBS_RECOMMENDS_$(pkg) = javascript-common
-
-#
-# Upstream tarball settings
-#
-
-DEB_UPSTREAM_URL = https://github.com/Leaflet/Leaflet.markercluster/archive
-DEB_UPSTREAM_TARBALL_BASENAME = v$(DEB_UPSTREAM_TARBALL_VERSION)
-DEB_UPSTREAM_TARBALL_SRCDIR = Leaflet.markercluster-$(DEB_UPSTREAM_TARBALL_VERSION)
-
-# Remove upstream shipped autogenerated files
-DEB_UPSTREAM_REPACKAGE_EXCLUDES = dist/*.js
-
-# Remove upstream shipped example data which have unclear licensing
-DEB_UPSTREAM_REPACKAGE_EXCLUDES += example/realworld.*.js
 
 
 #
