## leaflet-markercluster 1.4.1~dfsg

=== debian/changelog ===
leaflet-markercluster (1.4.1~dfsg-10) unstable; urgency=medium

  * add patch cherry-picked from upstream pull request
    to avoid global L using Rollup plugin inject,
    and stop use earlier more invasive yet non-working patch;
    build-depend on node-rollup-plugin-inject;
    closes: bug#987128

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 21 Apr 2021 12:23:19 +0200

leaflet-markercluster (1.4.1~dfsg-9) unstable; urgency=medium

  * use brotli compression suffix .brotli
    (not .br used for language breton)
  * declare compliance with Debian Policy 4.5.1

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 02 Dec 2020 22:08:03 +0100

leaflet-markercluster (1.4.1~dfsg-8) unstable; urgency=medium

  [ Debian Janitor ]
  * use debhelper compatibility level 12 (not 9);
    build-depend on debhelper-compat (not debhelper)
  * set upstream metadata fields: Repository Repository-Browse

  [ Jonas Smedegaard ]
  * drop superficial domino autopkgtest
    (seemingly confused by ES module syntax);
     add superficial skip-not-installable eslint autopkgtest
  * build ES module; build-depend on uglifyjs.terser

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 14 Jun 2020 09:57:57 +0200

leaflet-markercluster (1.4.1~dfsg-7) unstable; urgency=medium

  * Fix build with recent rollup:
    + Add patch 1001 to modernize rollup config.
    + Explicitly build-depend on node-rollup-plugin-json.
    Closes: Bug#941601. Thanks to Pirate Praveen.
  * Declare compliance with Debian Policy 4.4.1.
  * Install nodejs code under /usr/share (not /usr/lib).
  * Mark autopkgtests as superficial.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 10 Oct 2019 18:33:51 +0200

leaflet-markercluster (1.4.1~dfsg-6) unstable; urgency=medium

  * Fix have libjs-leaflet.markercluster break (not provide)
    libjs-leaflet-markercluster.
    Closes: Bug#924104. Thanks to Andreas Beckmann.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 09 Mar 2019 23:08:34 +0100

leaflet-markercluster (1.4.1~dfsg-5) unstable; urgency=medium

  * Fix provide optimized CSS files.
  * Enable testsuite.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 02 Mar 2019 01:33:48 +0100

leaflet-markercluster (1.4.1~dfsg-4) experimental; urgency=medium

  * Revive libjs-leaflet-markercluster as empty transitional package,
    to ease upgrade to libjs-leaflet.markercluster.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 21 Jan 2019 08:30:26 +0100

leaflet-markercluster (1.4.1~dfsg-3) unstable; urgency=medium

  * Update copyright info: Use https protocol in file format URL.
  * Fix clean generated documentation.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 21 Jan 2019 01:41:51 +0100

leaflet-markercluster (1.4.1~dfsg-2) experimental; urgency=medium

  * Rename binary package to libjs-leaflet.markercluster,
    providing/conflicting with/replacing libjs-leaflet-markercluster.
  * Improve short and long description.
  * Provide generated README.txt and README.html,
    not README.md source.
    Build-depend on pandoc.
  * Add binary package node-leaflet.markercluster.
  * Extend patch 2002 to avoid privacy breaches also in documentation.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 20 Jan 2019 16:00:10 +0100

leaflet-markercluster (1.4.1~dfsg-1) unstable; urgency=medium

  [ upstream ]
  * New release.

  [ Jonas Smedegaard ]
  * Simplify rules:
    + Stop resolve build-dependencies in rules file.
    + Stop resolve binary package relations in rules file.
    + Use debhelper hint files.
    + Use short-form dh sequencer (not cdbs).
      Stop build-depend on cdbs.
  * Stop build-depend on dh-buildinfo.
  * Declare compliance with Debian Policy 4.3.0.
  * Update Vcs-* fields: Maintenance moved to Salsa.
  * Set Rules-Requires-Root: no.
  * Wrap and sort control file.
  * Repurpose patch 2001 to avoid git during build.
  * Add patch 2002 to fix privacy issues in examples.
    Stop mangle examples during install.
    Include mangling helper script with source.
  * Update build rules.
    Build-depend on rename rollup uglifyjs (not node-jake node-uglify).
  * Optimize CSS file.
    Build-depend on sassc.
  * Update and bump version of NEWS entry.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 20 Jan 2019 12:18:19 +0100

leaflet-markercluster (1.2.0~dfsg-1) experimental; urgency=medium

  [ upstream ]
  * New release.
    + Move clusterPane option in to options field.
    + Fix very small maxClusterRadius hanging the browser.

  [ Jonas Smedegaard ]
  * Declare compliance with Debian Policy 4.1.3.
  * Update CDN URL getting replaced with local non-tracking paths in
    example files.
  * Update copyright info:
    + Extend coverage for main upstream author.
    + Extend coverage for myself.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 06 Jan 2018 20:27:30 +0100

leaflet-markercluster (1.1.0~dfsg-1) experimental; urgency=medium

  [ upstream ]
  * New release(s).

  [ Jonas Smedegaard ]
  * Update watch file: Use substitution strings.
  * Tighten lintian overrides regarding License-Reference.
  * Drop obsolete lintian override regarding debhelper 9.
  * Fix use package section javascript (not web).
  * Update to use package optional (not extra).
  * Modernize Vcs-* fields:
    + Consistently use git (not cgit) in path.
    + Consistently use .git suffix in path.
  * Declare compliance with Debian Policy 4.1.1.
  * Update package relations:
    + Relax to build-depend unversioned on node-uglify: Needed version
      satisfied even in oldstable.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 22 Oct 2017 19:26:32 +0200

leaflet-markercluster (1.0.4~dfsg-1) experimental; urgency=medium

  * Modernize cdbs:
    + Drop CDBS debhelper hint: Handled in CDBS now.
    + Do copyright-check in maintainer script (not during build).
  * Normalize library files to use .min suffix.
  * Tighten build-dependency on libjs-leaflet.
  * Update copyright info:
    + Extend copyright of packaging to cover current year.
  * Add NEWS entry about major release with ABI changes, and normalized
    library filenames.
  * Update package relations:

