=== debian/tests/control ===
Test-Command:
 cd /usr/share/javascript &&
 eslint --no-eslintrc --format tap --env browser leaflet/leaflet.markercluster{,.min}.js
 && cd /usr/share/javascript &&
 eslint --no-eslintrc --format tap --env browser --parser-options=sourceType:module leaflet/leaflet.markercluster.esm{,.min}.js
Depends:
 eslint,
 libjs-leaflet.markercluster,
Restrictions: superficial, skip-not-installable
