## leaflet-markercluster 1.5.1~dfsg

=== debian/changelog ===
leaflet-markercluster (1.5.1~dfsg-1) unstable; urgency=medium

  [ upstream ]
  * new release(s)

  [ Jonas Smedegaard ]
  * simplify source helper script copyright-check
  * update copyright info:
    + use Reference field (not License-Reference);
      tighten lintian overrides
    + update coverage
  * use debhelper compatibility level 13 (not 12)
  * declare compliance with Debian Policy 4.6.0
  * drop patch cherry-picked upstream now applied
  * unfuzz patches

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 09 Oct 2021 14:11:38 +0200
