=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  Jonas Smedegaard <dr@jones.dk>,
 Build-Depends:
  brotli,
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  node-rollup-plugin-inject,
  node-rollup-plugin-json,
  pandoc <!nodoc>,
@@ -17,7 +17,7 @@
  sassc,
  uglifyjs (>= 3),
  uglifyjs.terser,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://github.com/Leaflet/Leaflet.markercluster
 Vcs-Browser: https://salsa.debian.org/js-team/leaflet-markercluster
 Vcs-Git: https://salsa.debian.org/js-team/leaflet-markercluster.git
