## leaflet-markercluster 1.5.3~dfsg

=== debian/changelog ===
leaflet-markercluster (1.5.3~dfsg-3) unstable; urgency=medium

  * fix eslint test
  * tighten lintian overrides

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 02 Feb 2022 00:07:01 +0100

leaflet-markercluster (1.5.3~dfsg-2) unstable; urgency=medium

  * add patch 2003
    to modernize use of NodeJS module rollup-plugin-json;
    tighten build-dependency on node-rollup-plugin-json
  * call executable terser (not uglifyjs.terser),
    and build-depend on terser (not uglifyjs.terser)

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 07 Nov 2021 21:33:05 +0100

leaflet-markercluster (1.5.3~dfsg-1) unstable; urgency=medium

  [ upstream ]
  * new release(s)

  [ Jonas Smedegaard ]
  * fix have autopkgtest depend on node-js-yaml

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 04 Nov 2021 14:38:50 +0100
