=== debian/control ===
--- 
+++ 
@@ -9,14 +9,14 @@
  brotli,
  debhelper-compat (= 13),
  node-rollup-plugin-inject,
- node-rollup-plugin-json,
+ node-rollup-plugin-json (>= 4.1),
  pandoc <!nodoc>,
  pigz,
  rename,
  rollup,
  sassc,
  uglifyjs (>= 3),
- uglifyjs.terser,
+ terser,
 Standards-Version: 4.6.0
 Homepage: https://github.com/Leaflet/Leaflet.markercluster
 Vcs-Browser: https://salsa.debian.org/js-team/leaflet-markercluster
