=== debian/rules ===
--- 
+++ 
@@ -17,8 +17,7 @@
 dist/$(STEM)-src.js:
 	NODE_ENV=release rollup --config build/rollup-config.js
 
-override_dh_install:
-	dh_install
+execute_after_dh_install:
 	rename 's/-src//' debian/*/usr/share/javascript/leaflet/*.js
 
 override_dh_installdocs:
@@ -32,7 +31,7 @@
 # * include source-map using upstream intermediary
 debian/js/%.esm.min.js: dist/%-src.esm.js
 	mkdir --parents debian/js
-	uglifyjs.terser --compress --mangle \
+	terser --compress --mangle \
 		--source-map "base='$(abspath $(dir $@))',content='dist/$(STEM)-src.js.map',url='$(notdir $@).map'" \
 		--output $@ \
 		-- $<
